文档

灵感生成 (inspo)

- 用 1–4 段公网音频作为灵感参考生成新歌(直接给音频 URL,不走 task_id)。

  • 用 1–4 段公网音频作为灵感参考生成新歌(直接给音频 URL,不走 task_id)。
  • 异步任务:提交返回 task_id,轮询 GET /v1/music/tasks/:task_id 获取结果

请求示例

bash curl -X POST https://api.openveer.com/v1/music/generations/inspo \ -H 'Authorization: Bearer <token>' \ -H 'Content-Type: application/json' \ --data '{ "model": "suno", "audio_urls": [ "https://a/1.mp3", "https://a/2.mp3" ], "version": "v5", "tags": "dreamy pop" }'

```python
import requests

url = "https://api.openveer.com/v1/music/generations/inspo"

payload = {
"model": "suno",
"audio_urls": ["https://a/1.mp3", "https://a/2.mp3"],
"version": "v5",
"tags": "dreamy pop"
}

headers = {
"Authorization": "Bearer ",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = "https://api.openveer.com/v1/music/generations/inspo";

const payload = {
model: "suno",
audio_urls: ["https://a/1.mp3", "https://a/2.mp3"],
version: "v5",
tags: "dreamy pop"
};

const headers = {
"Authorization": "Bearer ",
"Content-Type": "application/json"
};

fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
```

```go
package main

import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)

func main() {
url := "https://api.openveer.com/v1/music/generations/inspo"

  payload := map[string]interface{}{
      "model": "suno",
      "audio_urls": []string{"https://a/1.mp3", "https://a/2.mp3"},
      "version": "v5",
      "tags": "dreamy pop",
  }

  jsonData, _ := json.Marshal(payload)

  req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
  req.Header.Set("Authorization", "Bearer <token>")
  req.Header.Set("Content-Type", "application/json")

  client := &http.Client{}
  resp, err := client.Do(req)
  if err != nil {
      panic(err)
  }
  defer resp.Body.Close()

  body, _ := ioutil.ReadAll(resp.Body)
  fmt.Println(string(body))

}
```

```java
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;

public class Main {
public static void main(String[] args) throws Exception {
String url = "https://api.openveer.com/v1/music/generations/inspo";

      String payload = """
      {
        "model": "suno",
        "audio_urls": [
          "https://a/1.mp3",
          "https://a/2.mp3"
        ],
        "version": "v5",
        "tags": "dreamy pop"
      }
      """;

      HttpClient client = HttpClient.newHttpClient();
      HttpRequest request = HttpRequest.newBuilder()
          .uri(URI.create(url))
          .header("Authorization", "Bearer <token>")
          .header("Content-Type", "application/json")
          .POST(HttpRequest.BodyPublishers.ofString(payload))
          .build();

      HttpResponse<String> response = client.send(request,
          HttpResponse.BodyHandlers.ofString());

      System.out.println(response.body());
  }

}
```

```php
"suno", "audio_urls" => ["https://a/1.mp3", "https://a/2.mp3"], "version" => "v5", "tags" => "dreamy pop" ]; $ch = curl_init($url); curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); curl_setopt($ch, CURLOPT_POST, true); curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload)); curl_setopt($ch, CURLOPT_HTTPHEADER, [ "Authorization: Bearer ", "Content-Type: application/json" ]); $response = curl_exec($ch); curl_close($ch); echo $response; ?>

```

```ruby
require 'net/http'
require 'json'
require 'uri'

url = URI("https://api.openveer.com/v1/music/generations/inspo")

payload = {
model: "suno",
audio_urls: ["https://a/1.mp3", "https://a/2.mp3"],
version: "v5",
tags: "dreamy pop"
}

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer "
request["Content-Type"] = "application/json"
request.body = payload.to_json

response = http.request(request)
puts response.body
```

```swift
import Foundation

let url = URL(string: "https://api.openveer.com/v1/music/generations/inspo")!

let payload: [String: Any] = [
"model": "suno",
"audio_urls": ["https://a/1.mp3", "https://a/2.mp3"],
"version": "v5",
"tags": "dreamy pop"
]

var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer ", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: (error)")
return
}

  if let data = data, let responseString = String(data: data, encoding: .utf8) {
      print(responseString)
  }

}

task.resume()
```

```csharp
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
static async Task Main(string[] args)
{
var url = "https://api.openveer.com/v1/music/generations/inspo";

      var payload = @"{
          ""model"": ""suno"",
          ""audio_urls"": [
              ""https://a/1.mp3"",
              ""https://a/2.mp3""
          ],
          ""version"": ""v5"",
          ""tags"": ""dreamy pop""
      }";

      using var client = new HttpClient();
      client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

      var content = new StringContent(payload, Encoding.UTF8, "application/json");
      var response = await client.PostAsync(url, content);
      var result = await response.Content.ReadAsStringAsync();

      Console.WriteLine(result);
  }

}
```

```c
#include
#include

int main(void) {
CURL *curl;
CURLcode res;

  curl_global_init(CURL_GLOBAL_DEFAULT);
  curl = curl_easy_init();

  if(curl) {
      const char *url = "https://api.openveer.com/v1/music/generations/inspo";
      const char *payload = "{"
          "\"model\":\"suno\","
          "\"audio_urls\":[\"https://a/1.mp3\",\"https://a/2.mp3\"],"
          "\"version\":\"v5\","
          "\"tags\":\"dreamy pop\""
      "}";

      struct curl_slist *headers = NULL;
      headers = curl_slist_append(headers, "Authorization: Bearer <token>");
      headers = curl_slist_append(headers, "Content-Type: application/json");

      curl_easy_setopt(curl, CURLOPT_URL, url);
      curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
      curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);

      res = curl_easy_perform(curl);

      if(res != CURLE_OK) {
          fprintf(stderr, "curl_easy_perform() failed: %s\n",
                  curl_easy_strerror(res));
      }

      curl_slist_free_all(headers);
      curl_easy_cleanup(curl);
  }

  curl_global_cleanup();
  return 0;

}
```

```objectivec
#import

int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://api.openveer.com/v1/music/generations/inspo"];

      NSDictionary *payload = @{
          @"model": @"suno",
          @"audio_urls": @[@"https://a/1.mp3", @"https://a/2.mp3"],
          @"version": @"v5",
          @"tags": @"dreamy pop"
      };

      NSError *error;
      NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
                                                        options:0
                                                          error:&error];

      NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
      [request setHTTPMethod:@"POST"];
      [request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
      [request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
      [request setHTTPBody:jsonData];

      NSURLSessionDataTask *task = [[NSURLSession sharedSession]
          dataTaskWithRequest:request
          completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
              if (error) {
                  NSLog(@"Error: %@", error);
                  return;
              }
              NSString *result = [[NSString alloc] initWithData:data
                                                      encoding:NSUTF8StringEncoding];
              NSLog(@"%@", result);
          }];

      [task resume];
      [[NSRunLoop mainRunLoop] run];
  }
  return 0;

}
```

```ocaml
( Requires cohttp and yojson libraries )
open Lwt
open Cohttp
open Cohttp_lwt_unix

let url = "https://api.openveer.com/v1/music/generations/inspo"

let payload = {|{
"model": "suno",
"audio_urls": [
"https://a/1.mp3",
"https://a/2.mp3"
],
"version": "v5",
"tags": "dreamy pop"
}|}

let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer "
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in

let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
  body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
  print_endline body_str
in
Lwt_main.run response

```

```dart
import 'dart:convert';
import 'package:http/http.dart' as http;

void main() async {
final url = Uri.parse('https://api.openveer.com/v1/music/generations/inspo');

final payload = {
  'model': 'suno',
  'audio_urls': ['https://a/1.mp3', 'https://a/2.mp3'],
  'version': 'v5',
  'tags': 'dreamy pop'
};

final response = await http.post(
  url,
  headers: {
    'Authorization': 'Bearer <token>',
    'Content-Type': 'application/json',
  },
  body: jsonEncode(payload),
);

print(response.body);

}
```

```r
library(httr)
library(jsonlite)

url <- "https://api.openveer.com/v1/music/generations/inspo"

payload <- list(
model = "suno",
audio_urls = c("https://a/1.mp3", "https://a/2.mp3"),
version = "v5",
tags = "dreamy pop"
)

response <- POST(
url,
add_headers(
Authorization = "Bearer ",
Content-Type = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)

cat(content(response, "text"))
```

响应示例

json { "code": 200, "data": [ { "status": "submitted", "task_id": "task_01K8SGYNNNVBQTXNR4MM964S7K" } ] }

json { "error": { "code": 400, "message": "请求参数无效", "type": "invalid_request_error" } }

json { "error": { "code": 401, "message": "身份验证失败,请检查您的API密钥", "type": "authentication_error" } }

json { "error": { "code": 402, "message": "账户余额不足,请充值后再试", "type": "payment_required" } }

json { "error": { "code": 403, "message": "访问被禁止,您没有权限访问此资源", "type": "permission_error" } }

json { "error": { "code": 429, "message": "请求过于频繁,请稍后再试", "type": "rate_limit_error" } }

json { "error": { "code": 500, "message": "服务器内部错误,请稍后重试", "type": "server_error" } }

json { "error": { "code": 502, "message": "网关错误,服务器暂时不可用", "type": "bad_gateway" } }

Authorizations

Authorization string
所有接口均需要使用Bearer Token进行认证 获取 API Key: 访问 [API Key 管理页面](https://openveer.com) 获取您的 API Key 使用时在请求头中添加: ``` Authorization: Bearer YOUR_API_KEY ```

Body

model string
音频模型。当前传 `suno`(不传默认 `suno`)。
audio_urls array
1–4 个可公开访问的音频 URL 数组。
version string
生成版本:`v4` / `v4.5` / `v4.5+` / `v4.5-all` / `v5` / `v5.5`,影响音质与计费;不传默认 `v5.5`。
prompt string
歌词 / 内容。
title string
标题。
tags string
风格标签。
negative_tags string
排除的风格标签。
style_weight number
风格权重,`0.00`–`1.00`。
weirdness_constraint number
创意度权重,`0.00`–`1.00`(别名 `weirdness`)。
audio_weight number
音频权重,`0.00`–`1.00`。
vocal_gender string
人声性别:`Male` / `Female`。
auto_lyrics boolean
`true`=对输入歌词进行二次创作。
注意
**获取结果**:本接口为异步任务。提交后拿到 `task_id`,按 3–5s 间隔轮询 `GET /v1/music/tasks/{task_id}`,直到 `status` 为 `completed` 或 `failed`(音乐生成通常 30–120s;生成中为 `pending`,`progress` 排队 10 → 就绪 50 → 完成 100)。完成后在 `data.result.music[]` 取 `audio_url`。失败时 `data.error.message` 为原因,自动退回预扣额度。

Response

code integer
响应状态码
data array
返回数据数组 任务状态 * `submitted` - 已提交
task_id string
任务唯一标识符(用于轮询 `GET /v1/music/tasks/{task_id}` 获取结果)